=== debian/changelog ===
xfonts-terminus (4.48-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unused bdf2psf build dependency (Closes: #969373)
  * Rebuild against trscripts 1.18+nmu3 to fix powerline symbols (cf.
    #767442).

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 21:54:17 +0200

xfonts-terminus (4.48-3) unstable; urgency=medium

  * In order to ensure smoother upgrade, xfonts-terminus now recommends
    fonts-terminus-otb.  Add NEWS.Debian.  Thanks to Jochen Sprickerhof
    and Emanuele Rocca.  Closes: #960503.
  * 71-enable-terminus.conf now enables only the OTB fonts.  Patch by
    Jakub Wilk, closes: #960502.
  * Do not apply the upstream patch ll2 (modified Latin letter l).  Thanks
    to Kacper Gutowski, closes: #960889.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 25 May 2020 12:16:29 +0300

xfonts-terminus (4.48-2) unstable; urgency=medium

  * Source only upload

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 11 May 2020 23:28:07 +0300

xfonts-terminus (4.48-1) unstable; urgency=medium

  * New upstream release (closes: #872939).
    - about 130 new characters, including basic hebrew letters,
      math, Bulgarian yat and yus
    - some glyph improvements
  * In addition to td1 (centered tilde), apply the following upstream patches:
    - ll2 (modifies the Latin letter l);
    - dv1 (modifies the Cyrillic letters d and v), closes: #438139.
  * fonts-terminus-otb: new package with fonts in OpenType format.  Move
    the fontconfig configuration from xfonts-terminus to this package.
    Closes: #958492.
  * debian/control:
    - add Multi-Arch
    - xfonts-terminus-oblique: change the priority to Optional (was Extra)
    - Standards-Version: 4.5.0.2
  * debian/rules: add build-indep and build-arch targets
  * raise debhelper compatibility level to 12
  * Switch to dpkg-source 3.0 (quilt) format
  
 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 06 May 2020 23:26:34 +0300

xfonts-terminus (4.40-2) unstable; urgency=medium

  * Apply the patch td1 for centered tilde.  Thanks to Sean Whitton,
    closes: #819768.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 10 Dec 2016 13:05:49 +0300

xfonts-terminus (4.40-1) unstable; urgency=medium

  * New upstream release:
    - Added 6 combining accents as separate characters.
    - Added 14 letters with dot above / dot below.
    - Added partial subscript and superscript: all digits and 11 letters.
    - Added 30+ math characters, notably large braces, brackets and parens.
    - Added unicode range 2800-28FF in two variants (br1 and br2).
    - A few small character fixes.
    - Altered configure to be a bit more POSIX compliant.
    - Replaced some obscure (un)install Makefile targets with variables.
  * Apply a patch to make the build reproducible.  Thanks to Chris Lamb,
    closes: #778229.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 05 Nov 2016 19:24:47 +0300

xfonts-terminus (4.39-1) unstable; urgency=low

  * New upstream release:
    - Added ballot, checkmark, heavy ballot and heavy checkmark.
    - Changed HT, LF etc. in sizes 14 and 18-hi2 to be proportional to the
      letter height, not the matrix height.
    - Added the powerline characters E0A0..E0A2 and E0B0..E0B3.
    - Added diameter (2300) - same glyph as empty set (2205).
    - Small improvements in size 32.
    
 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 11 May 2014 21:08:30 +0300

xfonts-terminus (4.38-1) unstable; urgency=low

  * New upstream releases (4.36 and 4.38), closes: #716800.
    - Some new symbols (quotedblreversed, I/i/U/u dotbelow)
    - Changes in few symbols.
    - New 22 pseudographic symbols.
  * Run "xset fp rehash" in the postinst if possible.  Thanks to
    gennady.kupava, closes: #690549.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 01 Aug 2013 23:23:21 +0300
