=== debian/control ===
Source: xfonts-terminus
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: fonts
Priority: optional
Standards-Version: 4.5.0.2
Build-Depends: debhelper (>=12), trscripts (>= 1.16), xfonts-utils, fontforge

Package: fonts-terminus-otb
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs, xfonts-terminus-oblique
Description: Terminus - fast reading fixed-width OpenType bitmap fonts
 These are fixed-width fonts suitable for terminals, editors, etc.
 If you have to work for extended time in front of monitor (i.e. over
 eight hours), you may find that using of these fonts reduces your
 eyes-fatigue.
 .
 This package contains normal, bold and oblique fonts in the following
 sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32.

Package: xfonts-terminus
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Recommends: fonts-terminus-otb
Suggests: xserver | xfs, xfonts-terminus-oblique
Description: Terminus - fast reading fixed-width PCF fonts for X servers
 These are fixed-width fonts suitable for terminals, editors, etc.
 If you have to work for extended time in front of monitor (i.e. over
 eight hours), you may find that using of these fonts reduces your
 eyes-fatigue.
 .
 Note: You might want to use the package fonts-terminus-otb instead of
 this package because the fonts in this package are used by the X
 server directly.  Several modern applications will ignore such fonts.
 .
 This package contains normal and bold fonts in the following sizes:
 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32 and supports the
 following encodings: ISO10646-1, ISO8859-1, ISO8859-2, ISO8859-5,
 ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16, KOI8-R, KOI8-U, CP1251
 and PT154.

Package: xfonts-terminus-oblique
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Recommends: xfonts-terminus
Suggests: xserver | xfs
Description: Oblique version of the Terminus font
 This package contains oblique versions of the fonts in the package
 xfonts-terminus.  These fonts are automatically generated and at
 present are not supported by the upstream maintainer.  They have much
 lower quality than the original fonts.  Nevertheless they can be
 useful for some programs such as GNU Emacs and XEmacs.
 .
 This package contains normal and bold oblique fonts in the following
 in following sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
 and supports the following encodings: ISO10646-1, ISO8859-1,
 ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16,
 KOI8-R, KOI8-U, CP1251 and PT154.

Package: xfonts-terminus-dos
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs
Enhances: dosemu
Description: Fixed-width fonts for DOS encodings
 These are nice fixed-width fonts in various DOS encodings.  They are
 mostly suitable for use in Dosemu, but can be used also in
 terminals, editors, etc.
 .
 This package supports the following code-pages: CP437, CP850, CP852,
 CP855, CP860, CP863, CP865, CP866, MIK and RUSCII.
