## xfonts-terminus 4.49

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,10 @@
 
 UCS2ANY = $(INT) $(BIN)/ucstoany.$(EXT)
 BDF2PSF = $(INT) $(BIN)/bdftopsf.$(EXT)
-UCS2X11	= $(INT) $(BIN)/ucstoany.$(EXT) -f
-BDF2PCF	= bdftopcf
+UCS2X11 = $(INT) $(BIN)/ucstoany.$(EXT) -f
+BDF2PCF = bdftopcf
+#BDF2OTB = fontforge -lang=ff -c 'Open($$3); ScaleToEm(1024); Generate($$2)'
+BDF2OTB = $(INT) $(BIN)/otb1cli.$(EXT)
 
 REG_8859_1  = ISO8859 1
 REG_8859_2  = ISO8859 2
@@ -76,14 +78,17 @@
 PCF_8BIT = $(PCF_8859_1) $(PCF_8859_2) $(PCF_8859_5) $(PCF_8859_7) $(PCF_8859_9) $(PCF_MS_1251) $(PCF_8859_13) $(PCF_8859_15) $(PCF_8859_16) $(PCF_IBM_437) $(PCF_KOI8_R) $(PCF_PT_154) $(PCF_KOI8_U)
 PCF = $(PCF_10646_1)
 
+OTB = ter-u12n.otb ter-u12b.otb ter-u14n.otb ter-u14b.otb ter-u16n.otb ter-u16b.otb ter-u18n.otb ter-u18b.otb ter-u20n.otb ter-u20b.otb ter-u22n.otb ter-u22b.otb ter-u24n.otb ter-u24b.otb ter-u28n.otb ter-u28b.otb ter-u32n.otb ter-u32b.otb
+
 # Default
 
 all: $(PSF) $(PCF)
 
-DESTDIR	=
-prefix	= /usr/local
-psfdir	= $(prefix)/share/consolefonts
-x11dir	= $(prefix)/share/fonts/terminus
+DESTDIR =
+prefix  = /usr/local
+psfdir  = $(prefix)/share/consolefonts
+x11dir  = $(prefix)/share/fonts/terminus
+otbdir  = $(prefix)/share/fonts/terminus
 
 install: $(PSF) $(PCF)
 	mkdir -p $(DESTDIR)$(psfdir)
@@ -142,10 +147,3 @@
 $(PSF_8859_2) $(PSF_VGAW_8859_2): ter-2%.psf : ter-u%.bdf $(VGA_8859_2) $(DUP_8859_2)
 	$(UCS2ANY) $< $(REG_8859_2) $(VGA_8859_2) | $(BDF2PSF) -o $@ $(DUP_8859_2)
 
-$(PSF_8859_7) $(PSF_VGAW_8859_7): ter-7%.psf : ter-u%.bdf $(VGA_8859_7) $(DUP_8859_7)
-	$(UCS2ANY) $< $(REG_8859_7) $(VGA_8859_7) | $(BDF2PSF) -o $@ $(DUP_8859_7)
-
-$(PSF_8859_9) $(PSF_VGAW_8859_9): ter-9%.psf : ter-u%.bdf $(VGA_8859_9) $(DUP_8859_9)
-	$(UCS2ANY) $< $(REG_8859_9) $(VGA_8859_9) | $(BDF2PSF) -o $@ $(DUP_8859_9)
-
-$(PSF_MS_1251) $(PSF_VGAW_MS_1251): ter-c%.psf : ter-u%.bdf $(VGA_MS_1251) $(DUP_MS_1251)
