=== debian/changelog ===
xfonts-terminus (4.49-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: add Homepage field.  Thanks to Jakub Wilk,
    closes: #1063761.
  * Don't merge fonts of many sizes into one otb font.  With merged otb
    fonts the KDE Plasma applications see only the smallest size.  Thanks
    to Jiri Jansky, closes: #1109767.
  * fonts-terminus-otb: remove the unnecessary xfonts-utils dependency and
    xfonts-terminus-oblique suggestion.  Thanks to Frank, closes: #1025392.
  * Small fix in the description of xfonts-terminus-oblique.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 04 Aug 2025 11:40:39 +0300
