=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: fonts
 Priority: optional
 Standards-Version: 4.5.0.2
-Build-Depends: debhelper (>=12), trscripts (>= 1.16), xfonts-utils, fontforge
+Build-Depends: debhelper (>=12), trscripts (>= 1.16), xfonts-utils, fontforge, python3
+Homepage: https://terminus-font.sourceforge.net/
 
 Package: fonts-terminus-otb
 Architecture: all
 Multi-Arch: foreign
 Section: fonts
 Priority: optional
-Depends: xfonts-utils, ${misc:Depends}
-Suggests: xserver | xfs, xfonts-terminus-oblique
+Depends: ${misc:Depends}
+Suggests: xserver | xfs
 Description: Terminus - fast reading fixed-width OpenType bitmap fonts
  These are fixed-width fonts suitable for terminals, editors, etc.
  If you have to work for extended time in front of monitor (i.e. over
@@ -60,7 +61,7 @@
  lower quality than the original fonts.  Nevertheless they can be
  useful for some programs such as GNU Emacs and XEmacs.
  .
- This package contains normal and bold oblique fonts in the following
+ This package contains oblique normal and bold fonts in the following
  in following sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
  and supports the following encodings: ISO10646-1, ISO8859-1,
  ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16,
