=== debian/rules ===
--- 
+++ 
@@ -110,19 +110,27 @@
 oblique_otb = terminus-oblique.otb
 bold_oblique_otb = terminus-bold-oblique.otb
 
-otb_fonts = $(normal_otb) $(bold_otb) $(oblique_otb) $(bold_oblique_otb)
+otb_fonts = $(normal_bdf_fonts:%.bdf=%.otb) $(bold_bdf_fonts:%.bdf=%.otb) \
+			$(oblique_bdf_fonts:%.bdf=%.otb) $(bold_oblique_bdf_fonts:%.bdf=%.otb)
 
-$(normal_otb) : $(normal_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+%.otb : %.bdf
+	python3 bin/otb1cli.py -o $@ $<
 
-$(bold_otb) : $(bold_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
-
-$(oblique_otb) : $(oblique_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
-
-$(bold_oblique_otb) : $(bold_oblique_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+# # We don't use merged otb fonts because of KDE Plasma, see #1109767
+# otb_fonts =  terminus-normal.otb terminus-bold.otb \
+# 					terminus-oblique.otb terminus-bold-oblique.otb
+#
+# terminus-normal.otb : $(normal_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+#
+# terminus-bold.otb : $(bold_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+#
+# terminus-oblique.otb : $(oblique_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+#
+# terminus-bold-oblique.otb : $(bold_oblique_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
 
 build-arch:
 build-indep: $(compressed_fonts) $(otb_fonts)
@@ -134,6 +142,7 @@
 	$(MAKE) clean
 	rm -rf $(convertors) $(oblique_bdfs) $(new_bdfs)
 	rm -rf $(compressed_fonts) $(otb_fonts)
+	rm -rf bin/__pycache__/
 	dh_clean
 
 .PHONY : install
